# Sing Alongs

A collection of songs to play and sing.

## Motivation

I love to play the tin whistle and around 2012 I was looking for some sheet
music. There are a lot of good resources out there but the one thing I have
never found was a collection which was free (as in freedom) and usable for
printing. And if something does not exist why not try and create it yourself?

At that point I discovered [Lilypond](http://www.lilypond.org/) a wonderful
project for music engraving and I started building.

## Building

Development happens at https://code.vanwa.ch/shu/sing-alongs.

### Prerequisites

Either use the provided nix flake to take care of everything or ensure the
following is installed:

- [lilypond](https://lilypond.org)
- [typst](https://github.com/typst/typst) binary
- a tex installation (for example [TeX Live](https://www.tug.org/texlive/)) with
  the _pdfcrop_ and _pdfjam_ commands
- [gnu make](https://www.gnu.org/software/make/) (might work with other makes,
  never tested it)
- _opusenc_ from [opus-tools](https://opus-codec.org/downloads/)
- a sound font, for example
  [Fluid](https://member.keymusician.com/Member/FluidR3_GM/index.html)
- [timidity++](https://sourceforge.net/projects/timidity/)
- _pdftocairo_ from [poppler-utils](https://poppler.freedesktop.org/)

The makefile defines multiple targets:

- opus: converts the song melodies to opus files for listening
- book: build a songbook as a pdf and additionaly generate a booklet fit for
  double sided flip printing

To build all just run `make` and it takes care of everything.

## License

My understanding is that all these songs already are in the public domain and
there is no need to explicitly set a license.

All copyrights that could arise from other sides (makefile or whatever) are
waived under [CC0](https://creativecommons.org/publicdomain/zero/1.0/).

## Contact

You can reach me at [shu@vanwa.ch](mailto:shu@vanwa.ch)
